import "./scss/index.scss"
import jfButton from './button'
import jfDialog from './dialog'
import { jfFloatFrame, jfFloatFrame2 } from './floatFrame'
import { jfInput, jfPwdInput } from './input'
import { jfPassWord, jfPassWord2, jfPassWord3 } from './password'
import jfShadow from './shadow'
import jfSmsVerifyCode from './smsVerifyCode'
import jfToast from './toast'
import {jfLoading, jfLoadingPage} from './loading'
import jfBubble from './bubble'
import jfFloatIcon from './floatIcon'
import jfDealPwd from './dealPwd'

const components = [
  jfButton,
  jfDialog,
  jfFloatFrame,
  jfFloatFrame2,
  jfInput,
  jfPwdInput,
  jfPassWord,
  jfPassWord2,
  jfPassWord3,
  jfShadow,
  jfSmsVerifyCode,
  jfToast,
  jfLoadingPage,
  jfLoading,
  jfBubble,
  jfFloatIcon,
  jfDealPwd
]
const install = function (Vue, opts = {}) {
  components.map((component) => {
    Vue.component(component.name, component)
  })
}

if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}

export default {
  install,
  jfButton,
  jfDialog,
  jfFloatFrame,
  jfFloatFrame2,
  jfInput,
  jfPwdInput,
  jfPassWord,
  jfPassWord2,
  jfPassWord3,
  jfShadow,
  jfSmsVerifyCode,
  jfToast,
  jfLoadingPage,
  jfLoading,
  jfBubble,
  jfFloatIcon,
  jfDealPwd
}
